diff --git a/doc/sudoers.cat b/doc/sudoers.cat
index 204ed7773..7f11b5c34 100644
--- a/doc/sudoers.cat
+++ b/doc/sudoers.cat
@@ -1488,8 +1488,8 @@ SSUUDDOOEERRSS OOPPTTIIOONNSS
                        system reboots.  The default is _/_v_a_r_/_r_u_n_/_s_u_d_o_/_t_s.
 
      timestampowner    The owner of the lecture status directory, time stamp
-                       directory and the time stamps stored therein.  The
-                       default is root.
+                       directory and all files stored therein.  The default is
+                       root.
 
      type              The default SELinux type to use when constructing a new
                        security context to run the command.  The default type
@@ -1825,7 +1825,10 @@ LLOOGG FFOORRMMAATT
         line in the sudo.conf(4) file.
 
      unable to open /var/run/sudo/ts/username
-        _s_u_d_o_e_r_s was unable to read or create the user's time stamp file.
+        _s_u_d_o_e_r_s was unable to read or create the user's time stamp file.  This
+        can happen when _t_i_m_e_s_t_a_m_p_o_w_n_e_r is set to a user other than root and
+        the mode on _/_v_a_r_/_r_u_n_/_s_u_d_o is not searchable by group or other.  The
+        default mode for _/_v_a_r_/_r_u_n_/_s_u_d_o is 0711.
 
      unable to write to /var/run/sudo/ts/username
         _s_u_d_o_e_r_s was unable to write to the user's time stamp file.
@@ -1834,7 +1837,7 @@ LLOOGG FFOORRMMAATT
         The time stamp directory is owned by a user other than _t_i_m_e_s_t_a_m_p_o_w_n_e_r.
         This can occur when the value of _t_i_m_e_s_t_a_m_p_o_w_n_e_r has been changed.
         _s_u_d_o_e_r_s will ignore the time stamp directory until the owner is
-        corrected.  This can occur when
+        corrected.
 
      /var/run/sudo/ts is group writable
         The time stamp directory is group-writable; it should be writable only
diff --git a/doc/sudoers.man.in b/doc/sudoers.man.in
index e09350c1c..641cab367 100644
--- a/doc/sudoers.man.in
+++ b/doc/sudoers.man.in
@@ -3052,8 +3052,8 @@ The default is
 \fI@rundir@/ts\fR.
 .TP 18n
 timestampowner
-The owner of the lecture status directory, time stamp directory and the
-time stamps stored therein.
+The owner of the lecture status directory, time stamp directory and all
+files stored therein.
 The default is
 \fRroot\fR.
 .TP 18n
@@ -3722,6 +3722,14 @@ file.
 unable to open @rundir@/ts/username
 \fIsudoers\fR
 was unable to read or create the user's time stamp file.
+This can happen when
+\fItimestampowner\fR
+is set to a user other than root and the mode on
+\fI@rundir@\fR
+is not searchable by group or other.
+The default mode for
+\fI@rundir@\fR
+is 0711.
 .TP 3n
 unable to write to @rundir@/ts/username
 \fIsudoers\fR
@@ -3735,7 +3743,6 @@ This can occur when the value of
 has been changed.
 \fIsudoers\fR
 will ignore the time stamp directory until the owner is corrected.
-This can occur when
 .TP 3n
 @rundir@/ts is group writable
 The time stamp directory is group-writable; it should be writable only by
diff --git a/doc/sudoers.mdoc.in b/doc/sudoers.mdoc.in
index 5e7679bec..b80a589be 100644
--- a/doc/sudoers.mdoc.in
+++ b/doc/sudoers.mdoc.in
@@ -2840,8 +2840,8 @@ This directory should be cleared when the system reboots.
 The default is
 .Pa @rundir@/ts .
 .It timestampowner
-The owner of the lecture status directory, time stamp directory and the
-time stamps stored therein.
+The owner of the lecture status directory, time stamp directory and all
+files stored therein.
 The default is
 .Li root .
 .It type
@@ -3442,6 +3442,14 @@ file.
 .It unable to open @rundir@/ts/username
 .Em sudoers
 was unable to read or create the user's time stamp file.
+This can happen when
+.Em timestampowner
+is set to a user other than root and the mode on
+.Pa @rundir@
+is not searchable by group or other.
+The default mode for
+.Pa @rundir@
+is 0711.
 .It unable to write to @rundir@/ts/username
 .Em sudoers
 was unable to write to the user's time stamp file.
@@ -3453,7 +3461,6 @@ This can occur when the value of
 has been changed.
 .Em sudoers
 will ignore the time stamp directory until the owner is corrected.
-This can occur when 
 .It @rundir@/ts is group writable
 The time stamp directory is group-writable; it should be writable only by
 .Em timestampowner .
